# SoTextureCoordinateFunction Class Reference
[Nodes]

`#include <Inventor/nodes/SoTextureCoordinateFunction.h>`

Inheritance diagram for SoTextureCoordinateFunction:

List of all members.

## Detailed Description

The SoTextureCoordinateFunction class is an abstract base class for texture coordinate generating nodes.

Classes reimplementing SoTextureCoordinateFunction generate texture coordinates by projecting object space surface points using some function.

## Public Member Functions

| SoTextureCoordinateFunction (void)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

virtual | ~SoTextureCoordinateFunction ()

## Constructor & Destructor Documentation

SoTextureCoordinateFunction::SoTextureCoordinateFunction | ( | void |  | ) |

| Constructor.

SoTextureCoordinateFunction::~SoTextureCoordinateFunction | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTextureCoordinateFunction::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode. Reimplemented in SoTextureCoordinateDefault, SoTextureCoordinateEnvironment, and SoTextureCoordinatePlane.

The documentation for this class was generated from the following files:

- SoTextureCoordinateFunction.h
- SoTextureCoordinateFunction.cpp